package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.model.TpBuilding;

import java.util.List;

/**
 * 楼栋资料库
 * @author weiximei
 */
public interface IBuildingOwnerInfo {

    /**
     * 根据 小区/期/楼栋/单元/楼层/户号
     * @param communityId
     * @param phase
     * @param building
     * @param unit
     * @param level
     * @param roomNo
     * @return
     */
    ResponseBean selectBuildList(Integer communityId, String phase, String building, String unit, String level, String roomNo);

    /**
     * 根据 小区/期/楼栋/单元/楼层/户号
     * @param phase
     * @param building
     * @param unit
     * @param level
     * @param roomNo
     * @return
     */
    ResponseBean hasBuild(UserElement userElement,String phase, String building, String unit, String level, String roomNo);

}
