package com.community.huiju.dao;


import com.community.huiju.model.TpBuilding;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface TpBuildingMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TpBuilding record);

    int insertSelective(TpBuilding record);

    TpBuilding selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TpBuilding record);

    int updateByPrimaryKey(TpBuilding record);

    /**
     * 根据 小区/期/栋/单元/楼层/户号 进行条件查询
     * @param communityId
     * @param phase
     * @param building
     * @param unit
     * @param level
     * @param roomNo
     * @return
     */
    List<TpBuilding> selectByAddress(Integer communityId,String phase,String building, String unit,String level,String roomNo);


}